# defs.mak.in --
# source file for autoconf-generated "defs.mak" for magic

# defs.mak.  Generated from defs.mak.in by configure.
# Feel free to change the values in here to suit your needs.
# Be aware that running scripts/configure again will overwrite
# any changes!

SHELL                  = /bin/sh

prefix = /usr/local
exec_prefix = ${prefix}
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
mandir = ${prefix}/man

VERSION                = 7.2

SCRIPTS		       = ${MAGICDIR}/scripts

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}

# Change libdir to install in a different place
CADDIR		       = ${prefix}
BINDIR                 = ${bindir}
MANDIR                 = ${mandir}
LIBDIR                 = ${libdir}
SYSDIR                 = ${libdir}/magic/sys
SCMDIR                 = ${libdir}/magic/scm
TCLDIR                 = ${libdir}/magic/tcl

MAIN_EXTRA_LIBS	       =  ${MAGICDIR}/calma/libcalma.o ${MAGICDIR}/cif/libcif.o ${MAGICDIR}/plot/libplot.o ${MAGICDIR}/garouter/libgarouter.o 	${MAGICDIR}/mzrouter/libmzrouter.o ${MAGICDIR}/router/librouter.o 	${MAGICDIR}/irouter/libirouter.o ${MAGICDIR}/grouter/libgrouter.o 	${MAGICDIR}/gcr/libgcr.o
MAC_EXTRA_LIBS         = 
MAC_SHARED	       = 

MODULES               +=  calma cif plot garouter grouter irouter mzrouter router gcr
UNUSED_MODULES        +=  readline lisp
PROGRAMS	      +=  net2ir
INSTALL_CAD_DIRS      +=  graphics

RM                     = rm -f
CP                     = cp
AR                     = ar
ARFLAGS                = crv
LD                     = ld -r
RANLIB                 = ranlib
SHDLIB_EXT             = .so
LDDL_FLAGS             = -shared -Wl,-soname,$@ -Wl,--version-script=${MAGICDIR}/magic/symbol.map

CC                     = gcc
CPP                    = gcc -E -x c

CPPFLAGS               = -I. -I${MAGICDIR} 
DFLAGS                 =  -DCAD_DIR=\"${CADDIR}\" -DTCL_DIR=\"${TCLDIR}\" -DPACKAGE_NAME=\"magic\" -DPACKAGE_TARNAME=\"magic\" -DPACKAGE_VERSION=\"7.2\" -DPACKAGE_STRING=\"magic\ 7.2\" -DPACKAGE_BUGREPORT=\"magic-hackers@csl.cornell.edu\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DSIZEOF_VOID_P=4 -DSIZEOF_UNSIGNED_INT=4 -DSIZEOF_UNSIGNED_LONG=4 -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DHAVE_DIRENT_H=1 -DHAVE_LIMITS_H=1 -DHAVE_VA_COPY=1 -DHAVE___VA_COPY=1 -DCALMA_MODULE=1 -DCIF_MODULE=1 -DPLOT_MODULE=1 -DNONMANHATTAN=1 -DROUTE_MODULE=1 -DUSE_NEW_MACROS=1 -DTHREE_D=1 -Dlinux=1 -DSYSV=1 -DISC=1 -DMAGIC_WRAPPER=1 
CFLAGS                 = -g -O2

READLINE_DEFS          = 
READLINE_LIBS          = 

DEPEND_FILE	       = Depend

GR_CFLAGS              =  -I/usr/X11R6/include 
GR_DFLAGS	       =  -DX11 -DXLIB -DOGL
GR_LIBS                =  -lX11 -lGLU -lGL -lXi -lXmu -lXext -lstdc++ -lbsd-compat  -L/usr/X11R6/lib
GR_SRCS                =  ${TK_SRCS} ${TOGL_SRCS} grTkCommon.c
GR_HELPER_SRCS         = 
GR_HELPER_PROG         = 

OBJS      = ${SRCS:.c=.o}
LIB_OBJS  = ${LIB_SRCS:.c=.o}
CLEANS    = ${OBJS} ${LIB_OBJS} lib${MODULE}.a lib${MODULE}.o ${MODULE}
